Update Caller ID Name
curl --request PATCH \
--url https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callerIdName": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}"
payload = { "callerIdName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({callerIdName: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"number": "<string>",
"registeredCNAM": "<string>",
"tenant": {
"id": 123,
"name": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"diCommentName": "<string>",
"recording": "<string>",
"fax": "<string>",
"faxEmail": "<string>",
"faxStore": 123,
"namePrefix": "<string>",
"unconditionalStatus": 123,
"emailRecording": "<string>",
"storeAndForwardNumber": "<string>",
"smsExt": {
"id": 123,
"name": "<string>"
},
"registeredSMS": 123,
"routingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"smsDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Phone Numbers
Update Caller ID Name
Update the registered CNAM for a phone number
PATCH
/
v2
/
admin
/
phone-numbers
/
caller-id-name
/
{id}
Update Caller ID Name
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number ID
Pattern:
^[1-9]\d*$Body
application/json
Caller ID name (max 15 characters)
Maximum string length:
15Response
Updated phone number
Phone number ID
Phone number
Registered caller ID name
Parent tenant
Show child attributes
Show child attributes
Assigned branch
Show child attributes
Show child attributes
Comment/description
Recording mode
Fax mode
Fax email
Fax store enabled (1/0)
Caller ID name prefix
Unconditional forwarding (1/0)
Recording email address
Store and forward number
SMS-assigned extension
Show child attributes
Show child attributes
Whether SMS is provisioned (1/0)
Routing destinations
Show child attributes
Show child attributes
Forwarding destinations
Show child attributes
Show child attributes
SMS destinations
Show child attributes
Show child attributes
Was this page helpful?
⌘I